Rotate Resource Keys

Rotate Resource Keys
Rotate keys for resource

Rotate keys for resource

Request
URI
POST
https://{api_host}/suite-api/api/salt/resources/{id}/keys/rotate
COPY
Path Parameters
string
id
Required  

ID of the resource


Authentication
This operation uses the following authentication methods.
Responses
202

Rotate keys for resource done successfully

Returns SaltTaskDetails of type(s) application/json
{
    "createdTime": 0,
    "description": "string",
    "errorMessages": [
        "string"
    ],
    "lastUpdateTime": 0,
    "taskId": "string",
    "taskStatus": "string",
    "taskType": "string"
}
integer As int64 As int64
createdTime
Optional

Task status creation time, in milliseconds (since midnight January 1, 1970)

string
description
Optional

A description for the task

array of string
errorMessages
Optional

List of error messages that occurred

integer As int64 As int64
lastUpdateTime
Optional

Task status last update time, in milliseconds (since midnight January 1, 1970)

string As uuid As uuid
taskId
Required  

The id of the task

string
taskStatus
Required  

Status of the task

Enumeration: RUNNING, FAILED, SUCCEEDED, CANCELLED, UNKNOWN, QUEUED
string
taskType
Required  
Constraints: minLength: 1

Salt Task Type

Enumeration: SALT_ENABLEMENT, ROTATE_KEYS, UNKNOWN

500

Rotate keys for resource failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/suite-api/api/salt/resources/{id}/keys/rotate